Bug 799882 - iobuf leak observed while doing SIGHUP
iobuf leak observed while doing SIGHUP
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
Shwetha Panduranga
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-05 05:48 EST by Pranith Kumar K
Modified: 2013-07-24 14:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:02:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2012-03-05 05:48:41 EST
Description of problem:

IOBUF leaks are observed in glusterfsd and glusterd when while [ 1 ]; do kill -HUP <pid>; done is performed

In glusterd the situation is worse as the memory keeps increasing 2M/sec.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2012-03-05 10:51:46 EST
CHANGE: http://review.gluster.com/2866 (glusterfsd: Unref iobuf after using it) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anand Avati 2012-03-06 02:10:56 EST
CHANGE: http://review.gluster.com/2865 (glusterfsd: Don't reconfigure if process does not know volfile server) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 Shwetha Panduranga 2012-05-29 07:58:33 EDT
Verified the fix on 3.3.0qa43. Bug is fixed.

Note You need to log in before you can comment on or make changes to this bug.